Name: powershell
Description: Windows PowerShell Wrapper For Wine
Provider: ProjectSynchro
License: GPLv2
License_url: https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
Dependencies:
- powershell_core
Steps:
- action: archive_extract
  file_name: powershell-wrapper.zip
  url: https://codeberg.org/Synchro/powershell-wrapper-for-wine/releases/download/v3.0.6/powershell-wrapper.zip
  rename: pswrapper-3.0.6.zip
  file_checksum: b6ab606d822ab0ec4f8dc5a7ae63a1f0
  file_size: 1288912
- action: copy_file
  file_name: powershell.exe
  url: temp/pswrapper-3.0.6/32/
  dest: win32/WindowsPowerShell/v1.0/
- action: copy_file
  file_name: powershell.exe
  url: temp/pswrapper-3.0.6/64/
  dest: win64/WindowsPowerShell/v1.0/
  for:
    - win64
- action: copy_file
  file_name: profile.ps1
  url: temp/pswrapper-3.0.6/
  dest: windows/../Program Files/PowerShell/7/
- action: override_dll
  dll: powershell.exe
  type: native,builtin
